#
# spec file for package ndesk-dbus-glib (Version 0.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ndesk-dbus-glib
Obsoletes:      dbus-sharp-glib
BuildRequires:  mono-devel ndesk-dbus
Requires:       ndesk-dbus
Url:            http://www.ndesk.org/DBusSharp
License:        X11/MIT
Group:          Development/Libraries/Other
Version:        0.3
Release:        1
Summary:        ndesk-dbus-glibl provides glib integration for NDesk.DBus.
Source0:        dbus-sharp-glib-%{version}.tar.gz
Source1:        include.mk
Patch:          build-fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
ndesk-dbus-glibl provides glib integration for NDesk.DBus.



%prep
%setup -n dbus-sharp-glib-%{version}
%patch 
cp %{SOURCE1} .

%build
make

%install
make -C glib install DESTDIR="$RPM_BUILD_ROOT" prefix=%{_prefix}
mkdir -p "$RPM_BUILD_ROOT"%{_datadir}/pkgconfig
sed -e 's|@prefix@|%{_prefix}|g' < ndesk-dbus-glib-1.0.pc.in > "$RPM_BUILD_ROOT"%{_datadir}/pkgconfig/ndesk-dbus-glib-1.0.pc

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc COPYING README
%{_prefix}/lib/mono/gac/NDesk.DBus.GLib
%{_prefix}/lib/mono/ndesk-dbus-glib-1.0
%{_datadir}/pkgconfig/ndesk-dbus-glib-1.0.pc

%changelog
* Thu May 31 2007 - mauro@novell.com
- Adding this package to factory
